Contenu | Rechercher | Menus
Selon les tags présents sur cette page, les informations qu'elle contient n'ont pas été vérifiées depuis Ubuntu 10.04 LTS.
Apportez votre aide…

Installation et configuration des imprimantes et scanneurs Canon PIXMA MP 540, 550 et 560

Les imprimantes de la série MP540 à MP560 sont des imprimantes multifonctions remarquables. Il ne s'agit en fait que d'une même lignée, Canon faisant comme beaucoup de constructeurs, sortant une "nouvelle" imprimante chaque année, modifiant la précédente légèrement. Ce qui est valable pour une imprimante l'est aussi, à peu de choses prêt, pour les autres. Cette page est la fusion de cette page et de celle-là, avec le rajout de la MP560. Ces imprimantes sont normalement reconnues out of the box (à vérifier) mais avec des drivers ayant des options tronquées, telles que l'impossibilité de choisir de fortes résolutions. Par contre, le scanner n'est pas reconnu par défaut. Il faudra donc impérativement utiliser les drivers CANON.

Installation des paquets

Remarque préliminaire

Si vous utilisez Ubuntu 9.10 ou ultérieure, le paquet libcupsys2 n'est plus présent dans les dépôts. Le pilote d'imprimante ci-dessous, lors de son installation ressort le message d'erreur : "dépendance de libcupsys2 non satisfaite".

Il faut donc, au préalable, installer manuellement libcupsys2.

Pour les utilisateurs des versions 11.04 (Natty) et supérieures d'Ubuntu, il vous faudra peut-être forcer l'installation des paquets, que ce soit pour les architectures 32 et 64bits, explications ici

Depuis Ubuntu 11.10, il n'est plus nécessaire d'installer les paquets spécifiques cnijfilters fournis par Canon. Les imprimantes MP 540 à 560 sont prises en charge nativement par CUPS.

Ubuntu 32 bits

  1. Téléchargez les pilotes concernant votre imprimante
Imprimante Pilote
MP540 Imprimante + Scanner
MP550 Imprimante Scanner
MP560 Imprimante Scanner
  1. Extrayez les archives téléchargées.
  2. Pour les drivers des MP550 et MP560, vous avez un script d'installation qui s'installe en lançant :
cd /home/lienversvotrefichierinstall.sh 

puis

sudo bash install.sh

dans un terminal

  1. Sinon, installez les fichiers .deb. Installez d'abord le paquet cnijfilter-common*.deb puis ensuite, le paquet cnijfilter-mp5x0*.deb. Faites de même pour scangearmp.
  2. Redémarrez (FIXME je ne suis pas sûr que ce soit indispensable).

Ubuntu 64 bits

Les paquets fournis par Canon sont conçus pour une architecture 32 bits. Si vous essayez de les installer par la méthode graphique, Gdebi va renvoyer un message d'erreur. Il faut donc passer par la console pour forcer l'installation. Les pilotes fonctionneront aussi bien que sous 32 bits.

  1. Décompresser l'archive contenant les pilotes
  2. Se placer dans le répertoire contenant vos pilotes :
     cd /home/votre_id/votre_répertoire/ 
  3. Installer le premier paquet :
     sudo dpkg -i --force-architecture cnijfilter*.deb ou scangearmp*.deb (pour le scanner) 
  4. En cas de problème de dépendances, vous pouvez utiliser la commande suivante pour satisfaire ce manque :
    sudo apt-get install -f
  5. Ajoutez une dépendance 32 bits pour scangearmp mais, pour cela, téléchargez et installez Getlib à partir de ce paquet :http://frozenfox.freehostia.com/cappy/getlibs-all.deb
  6. Saisir enfin dans un terminal :
    getlibs /usr/bin/scangearmp 

    Et répondez par un Y et votre mot de passe administrateur quand ce sera demandé !

En cas de problème, installez le paquet ia32-libs

  1. Redémarrer

Améliorations de la configuration

Voici quelques améliorations issues de cette page et qui marchent aussi pour les MP 540, 550 et 560. Elle sont optionnelles mais doivent être effectuées avant l'installation de l'imprimante proprement dite. Certaines lignes ne sont valables que pour certaines de ces imprimantes, n'oubliez pas de les enlever si ce n'est pas le cas pour la votre.

Modifiez (avec les droits administrateur) le fichier /usr/share/cups/model/canonmp5x0.ppd comme suit. Après vos modifications, enregistrez et fermez.

Qualités d'impression

Ajouter en fin de fichier :

*OpenUI *CNQuality/Quality: PickOne
*DefaultCNQuality: 3
*CNQuality 2/High: "2"
*CNQuality 3/Normal: "3"
*CNQuality 4/Standard: "4"
*CNQuality 5/Economy: "5"		}Non indiquée sur l'ancienne page MP550 et ne fonctionne pas avec la MP560.
*CloseUI: *CNQuality 

Option noir et blanc

Ajouter en fin de fichier :

*OpenUI *CNGrayscale/Grayscale: PickOne
*DefaultCNGrayscale: false
*CNGrayscale false/Off: "false"
*CNGrayscale true/On: "true"
*CloseUI: *CNGrayscale

D'avantage de résolutions

Remplacer :

*OpenUI *Resolution/Output Resolution: PickOne
*DefaultResolution: 600dpi
*Resolution 600dpi/600 dpi: "<</HWResolution[600 600]>>setpagedevice"
*CloseUI: *Resolution

Par :

*OpenUI *Resolution/Output Resolution: PickOne
*DefaultResolution: 600dpi
*Resolution 300dpi/300 dpi: "<</HWResolution[300 300]>>setpagedevice"
*Resolution 600dpi/600 dpi: "<</HWResolution[600 600]>>setpagedevice"
*Resolution 1200dpi/1200 dpi: "<</HWResolution[1200 1200]>>setpagedevice"
*Resolution 2400dpi/2400 dpi: "<</HWResolution[2400 2400]>>setpagedevice"
*Resolution 4800dpi/4800 dpi: "<</HWResolution[2400 4800]>>setpagedevice"	}Pour MP550 et 560 uniquement
*Resolution 9600dpi/9600 dpi: "<</HWResolution[2400 9600]>>setpagedevice"	}Pour MP550 et 560 uniquement
*CloseUI: *Resolution

Redémarrage du serveur d'impression

Après vos modifications, il est nécessaire de redémarrer cups avec les commandes suivantes :

Ubuntu 8.04 LTS

sudo /etc/init.d/cupsys restart   

Ubuntu 9.04

sudo /etc/init.d/cups restart    

Ubuntu 9.10 et suivantes

 sudo service cups restart 

Installation de l'imprimante

Si à ce stade, l'imprimante est déjà "installée", pensez à la supprimer.

Nous avons installé tous les logiciels pour la faire fonctionner, il est temps d'installer l'imprimante en elle-même.

  1. Allez dans : Système → Administration → Impression
  2. Dans la fenêtre, cliquer sur le bouton "Nouveau".
  3. Dans la nouvelle fenêtre qui apparaît, choisir "Canon 5x0 series USB#1".
  4. Cliquer sur "suivant", choisissez le pilote MP5x0 series v3.
  5. Valider, c'est installé, vous pouvez imprimer.

A propos du scanner

Scangearmp

Pour scanner, il faut utiliser le logiciel scangearmp précédemment installé. Afin de simplifier son utilisation, nous allons l'ajouter dans le menu Applications.

  1. Télécharger getlibs ici et l'installer
  2. Saisir dans un terminal la commande suivante :
    getlibs /usr/bin/scangearmp 
  3. Aller dans Système→Préférences→Menu principal et, de préférence dans le menu Graphisme, créer un lanceur avec pour commande scangearmp.

Notez que vous ne pourrez pas lancer la numérisation directement depuis l'imprimante, mais il vous faudra obligatoirement utiliser le logiciel.

Sane

Depuis Ubuntu 11.10, les MP 540 à 560 fonctionnent nativement avec Sane, sans devoir obligatoirement installer Scangearmp.

Il est également possible d'utiliser un programme basé sur Sane, une excellente bibliothèque d'interface (API) pour les scanners sous licence GNU/GPL. Dans ces programmes, il y a le très connu Xsane, installé par défaut sur Ubuntu, mais également gscan2pdf qui est très recommandé pour son interface plus agréable et surtout pour son excellente prise en charge de scan de documents (avec un nettoyage automatique, une bonne reconnaissance de caractères (OCR) avec tesseract, la numérotation des pages, etc.).

Cependant, il faut utiliser une version de libsane sortie après novembre 2009. Karmic 9.10 et les versions antérieures d'Ubuntu ne disposent donc pas d'une version assez récente de la bibliothèque dans leurs dépôts. Pour résoudre ce problème, vous pouvez cependant facilement compiler la dernière version de sane-backends.

Bonne nouvelle, pour les utilisateurs d'Ubuntu Karmic (9.10) ou Lucid, vous pouvez utiliser un paquet de la version GIT du 06 Janvier 2010 de l'ensemble sane-backends, il est disponible ici.

Attention, il est préférable de ne pas ajouter le dépôt (pour ne pas obtenir des mises à jour "non officielles" d'autres paquets) mais de simplement télécharger les paquets libsane et sane-utils correspondant à votre architecture (i386 pour les 32 bits (par défaut) ou amd64 pour les 64 bits)

FIXME La résolution maximum autorisée par scangeramp est 1200 dpi, alors que celle supportée par le scanner et de 2400 x 4800 ppp. Il devrait donc être possible de booster le driver par la même méthode que celle indiquée plus haut. À tester …

A propos du WIFI et de la MP560

Voir aussi

Article sur le-libriste.fr testé pour MP560

Tuto d'installation sur le forum ubuntu-fr pour la MP560 en 64 bits.


Contributeurs : aurelien88 (pour la MP540), matttbe (pour la MP550) doms (pour la MP560)



Le contenu de ce wiki est sous licence : CC BY-SA v3.0